# Uses of Class
org.apache.sysds.hops.LiteralOp

Packages that use LiteralOp
Package
Description
org.apache.sysds.hops
org.apache.sysds.hops.rewrite
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.lineage

## Uses of LiteralOp in org.apache.sysds.hops

Methods in org.apache.sysds.hops with parameters of type LiteralOp
Modifier and Type
Method
Description
`static double`
OptimizerUtils.`getBinaryOpSparsityConditionalSparseSafe(double sp1, Types.OpOp2 op, LiteralOp lit)`
`static boolean`
OptimizerUtils.`isBinaryOpConditionalSparseSafeExact(Types.OpOp2 op, LiteralOp lit)`
Determines if a given binary op with scalar literal guarantee an output sparsity which is exactly the same as its matrix input sparsity.
`static boolean`
OptimizerUtils.`isBinaryOpSparsityConditionalSparseSafe(Types.OpOp2 op, LiteralOp lit)`
Constructors in org.apache.sysds.hops with parameters of type LiteralOp
Modifier
Constructor
Description
``
`LiteralOp(LiteralOp that)`

## Uses of LiteralOp in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type LiteralOp
Modifier and Type
Method
Description
`static boolean`
HopRewriteUtils.`getBooleanValue(LiteralOp op)`
`static boolean`
HopRewriteUtils.`getBooleanValueSafe(LiteralOp op)`
`static double`
HopRewriteUtils.`getDoubleValue(LiteralOp op)`
`static double`
HopRewriteUtils.`getDoubleValueSafe(LiteralOp op)`
`static long`
HopRewriteUtils.`getIntValue(LiteralOp op)`
Return the int value of a LiteralOp (as a long).
`static long`
HopRewriteUtils.`getIntValueSafe(LiteralOp op)`
`static ScalarObject`
HopRewriteUtils.`getScalarObject(LiteralOp op)`
`static boolean`
HopRewriteUtils.`isEqualValue(LiteralOp hop1, LiteralOp hop2)`
Method parameters in org.apache.sysds.hops.rewrite with type arguments of type LiteralOp
Modifier and Type
Method
Description
`static Hop`
HopRewriteUtils.`createDataGenOpByVal(List<LiteralOp> values, long rows, long cols)`

## Uses of LiteralOp in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return LiteralOp
Modifier and Type
Method
Description
`static LiteralOp`
ScalarObjectFactory.`createLiteralOp(Types.ValueType vt, String value)`
`static LiteralOp`
ScalarObjectFactory.`createLiteralOp(ScalarObject so)`
`static LiteralOp`
ScalarObjectFactory.`createLiteralOp(ScalarObject so, UnaryOp cast)`
Methods in org.apache.sysds.runtime.instructions.cp with parameters of type LiteralOp
Modifier and Type
Method
Description
`static ScalarObject`
ScalarObjectFactory.`createScalarObject(Types.ValueType vt, LiteralOp lit)`
`static ScalarObject`
ScalarObjectFactory.`createScalarObject(LiteralOp lit)`

## Uses of LiteralOp in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage with parameters of type LiteralOp
Modifier and Type
Method
Description
`static LineageItem`
LineageItemUtils.`createScalarLineageItem(LiteralOp lop)`